Subject: Re: [Bitcoin-development] overall bitcoin client code quality

From: "Luke-Jr" <[email-masked]>
Date: Sun, 10 Jul 2011 22:01:51 -0400

On Sunday, July 10, 2011 6:37:15 PM Michael Offel wrote:
> why Berkeley db 4 is used at all.

Because it's a good tool for the job? Or you mean the version?
Debian stable: 4.8
Gentoo stable: 4.8
Ubuntu LTS   : 4.8

> Boost is also an heavy non standard dependency that is an unnecessary
> barrier for new developers. 

Boost is pretty much standard C++ nowadays.

> I'm talking about one file per class, no methods and single code line
> longer than a screen page. It should be natural to write code like this
> and I dislike having a lot of rules but the code shows that there is a
> need for such thing. 

Blame your text editor if it can't show long lines sanely. The only problem I 
see with the style itself is the use of spaces instead of tabs.

> My overall suggestion is to begin a complete rewrite, inspired by the old
> code rather than moving a lot of "known to be somehow functional" around.

There are many rewrites in progress, often with much better designs.

> The official Bitcoin client should be some kind of an reference project
> for other clients and must therefore be extra clean and well documented. 

Bitcoin is supposed to be an authorityless project. There is no official.

> *everything else*

Fix it yourself and submit the changes. If they don't get merged, fork.